Bug 816956 (CVE-2012-2143) - CVE-2012-2143 BSD crypt(): DES encrypted password weakness
Summary: CVE-2012-2143 BSD crypt(): DES encrypted password weakness
Status: CLOSED ERRATA
Alias: CVE-2012-2143
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20120530,repor...
Keywords: Security
Depends On: 826606 826607 830721 830722 830723 830724 830725 830726 830727 830728 830729 830730
Blocks: 816965 826009 835959 835960
TreeView+ depends on / blocked
 
Reported: 2012-04-27 11:02 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:07 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-10-08 19:51:32 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1036 normal SHIPPED_LIVE Moderate: postgresql security update 2012-06-25 22:01:17 UTC
Red Hat Product Errata RHSA-2012:1037 normal SHIPPED_LIVE Moderate: postgresql and postgresql84 security update 2012-06-25 22:12:24 UTC
Red Hat Product Errata RHSA-2012:1046 normal SHIPPED_LIVE Moderate: php security update 2012-06-27 19:48:23 UTC
Red Hat Product Errata RHSA-2012:1047 normal SHIPPED_LIVE Moderate: php53 security update 2012-06-27 19:47:13 UTC

Description Jan Lieskovsky 2012-04-27 11:02:13 UTC
A security flaw was found in the way DES and extended DES based crypt() password encryption function performed encryption of certain keys, when the key to be encrypted was provided in the Unicode encoding (certain keys were truncated before being DES digested). When the resulting ciphertext for such a previously shortened key was used as a pattern in a password protected resource, intended to be matched against subsequently encrypted value of the password field, retrieved from the user authentication dialog, it could lead to authentication bypass.

Comment 2 Jan Lieskovsky 2012-04-27 11:10:45 UTC
This issue affects the versions of the postgresql and postgresql84 packages, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the version of the posgresql package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the postgresql package, as shipped with Fedora release of 15 and 16.

Comment 7 Jan Lieskovsky 2012-05-29 07:23:29 UTC
Acknowledgements:

Upstream acknowledges Rubin Xu and Joseph Bonneau as the original reporters of this issue.

Comment 12 Jan Lieskovsky 2012-05-30 14:46:53 UTC
This issue did NOT affect the version of the php package, as shipped
with Red Hat Enterprise Linux 5.

--

This issue affects the version of the php53 package, as shipped
with Red Hat Enterprise Linux 5.

--

This issue affects the version of the php package, as shipped with
Red Hat Enterprise Linux 6.

--

This issue affects the versions of the php package, as shipped with
Fedora release of 15 and 16.

Comment 15 Jan Lieskovsky 2012-05-30 15:29:37 UTC
Created php tracking bugs for this issue

Affects: fedora-all [bug 826607]

Comment 16 Jan Lieskovsky 2012-05-30 15:29:49 UTC
Created postgresql tracking bugs for this issue

Affects: fedora-all [bug 826606]

Comment 23 errata-xmlrpc 2012-06-25 18:03:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1036 https://rhn.redhat.com/errata/RHSA-2012-1036.html

Comment 24 errata-xmlrpc 2012-06-25 18:13:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1037 https://rhn.redhat.com/errata/RHSA-2012-1037.html

Comment 25 errata-xmlrpc 2012-06-27 15:52:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1047 https://rhn.redhat.com/errata/RHSA-2012-1047.html

Comment 26 errata-xmlrpc 2012-06-27 15:52:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1046 https://rhn.redhat.com/errata/RHSA-2012-1046.html

Comment 27 Fedora Update System 2012-06-30 22:07:03 UTC
php-5.4.4-1.fc17, maniadrive-1.2-41.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2012-07-02 22:31:27 UTC
php-5.3.14-1.fc16, php-eaccelerator-0.9.6.1-9.fc16.6, maniadrive-1.2-32.fc16.6 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Jan Lieskovsky 2012-08-28 10:24:15 UTC
Statement:

This issue did not affect the version of php as shipped with Red Hat Enterprise Linux 5 as it did not include FreeSec's libcrypt cryptographic algorithms implementation yet. This issue was addressed in php53 package for Red Hat Enterprise Linux 5 via RHSA-2012:1047 and in php package for Red Hat Enterprise Linux 6 via RHSA-2012:1046.


Note You need to log in before you can comment on or make changes to this bug.